Zum Hauptinhalt springen

Update a Backup's expiration time

PUT/v2/project-backups/{projectBackupId}/expiration-time
API-Version
v2
Request-Methode
PUT
Operation-ID
deprecated-backup-replace-project-backup-expiration-time

Request​

  • projectBackupIdstring
    required

    ID of the ProjectBackup to update the expiration time of.

Responses​

Kein Response-Inhalt angegeben.

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X PUT \
-d '{"expirationTime":"1985-10-26T01:21:00.000Z"}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/project-backups/string/expiration-time
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.backup.deprecatedBackupReplaceProjectBackupExpirationTime({
"projectBackupId": "string",
"data": {
"expirationTime": "1985-10-26T01:21:00.000Z"
}
});

assertStatus(response, 204);

use \Mittwald\ApiClient\Generated\V2\Clients\Backup\DeprecatedBackupReplaceProjectBackupExpirationTime\DeprecatedBackupReplaceProjectBackupExpirationTimeRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\Backup\DeprecatedBackupReplaceProjectBackupExpirationTime\DeprecatedBackupReplaceProjectBackupExpirationTimeRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// DeprecatedBackupReplaceProjectBackupExpirationTimeRequestBody to learn how to construct a valid instance
$body = new DeprecatedBackupReplaceProjectBackupExpirationTimeRequestBody(/* TODO: ... */);

$request = (new DeprecatedBackupReplaceProjectBackupExpirationTimeRequest(
projectBackupId: "string",
body: $body
));
$response = $client->backup()->deprecatedBackupReplaceProjectBackupExpirationTime($request);

var_dump($response->getBody();

Auf dieser Seite